# Guide to Submitting a DMCA Counter Notice

Effective date: April 2, 2021

The CodeLinaro Service is provided to you by Linaro Limited, a UK registered company number 07180318. Any reference to CodeLinaro is also a reference to Linaro Limited. 

This guide describes the information that CodeLinaro needs in order to process a counter notice to a DMCA takedown request. If you have more general questions about what the DMCA is or how CodeLinaro processes DMCA takedown requests, please review the [CodeLinaro DMCA Takedown Policy](dmca-takedown-policy.md).

If you believe your content on CodeLinaro was mistakenly disabled by a DMCA takedown request, you have the right to contest the takedown by submitting a [counter notice](/dmca/counternotice/create/). If you do, we will share your counter notice with the complainant and wait 10-14 days and then re-enable your content unless the copyright owner initiates a legal action against you before then. Our counter-notice form, set forth below, is consistent with the form suggested by the DMCA statute, which can be found at the U.S. Copyright Office's official website: [https://www.copyright.gov](https://www.copyright.gov).

As with all legal matters, it is always best to consult with a professional about your specific questions or situation. We strongly encourage you to do so before taking any action that might impact your rights. This guide isn't legal advice and shouldn't be taken as such.


## Before You Start


### Tell the Truth

The DMCA requires that you swear to your counter notice under penalty of perjury. It is a federal crime to intentionally lie in a sworn declaration. (See [U.S. Code, Title 18, Section 1621](https://www.gpo.gov/fdsys/pkg/USCODE-2011-title18/html/USCODE-2011-title18-partI-chap79-sec1621.htm).) Submitting false information could also result in civil liability—that is, you could get sued for money damages.


### Investigate

Submitting a DMCA counter notice can have real legal consequences. If the complaining party disagrees that their takedown notice was mistaken, they might decide to file a lawsuit against you to keep the content disabled. You should conduct a thorough investigation into the allegations made in the takedown notice and probably talk to a lawyer before submitting a counter notice.


### You Must Have a Good Reason to Submit a Counter Notice

In order to file a counter notice, you must have "a good faith belief that the material was removed or disabled as a result of mistake or misidentification of the material to be removed or disabled." ([U.S. Code, Title 17, Section 512(g)](https://www.copyright.gov/title17/92chap5.html#512).) Whether you decide to explain why you believe there was a mistake is up to you and your lawyer, but you do need to identify a mistake before you submit a counter notice. In the past, we have received counter notices citing mistakes in the takedown notice such as: the complaining party doesn't have the copyright; I have a license; the code has been released under an open-source license that permits my use; or the complaint doesn't account for the fact that my use is protected by the fair-use doctrine. Of course, there could be other defects with the takedown notice.


### Copyright Laws Are Complicated

Sometimes a takedown notice might allege infringement in a way that seems odd or indirect. Copyright laws are complicated and can lead to some unexpected results. In some cases a takedown notice might allege that your source code infringes because of what it can do after it is compiled and run. For example:



* The notice may claim that your software is used to [circumvent access controls](https://www.copyright.gov/title17/92chap12.html) to copyrighted works.
* [Sometimes](https://www.copyright.gov/docs/mgm/) distributing software can be copyright infringement, if you induce end users to use the software to infringe copyrighted works.
* A copyright complaint might also be based on [non-literal copying](https://en.wikipedia.org/wiki/Substantial_similarity) of design elements in the software, rather than the source code itself — in other words, someone has sent a notice saying they think your design looks too similar to theirs.

These are just a few examples of the complexities of copyright law. Since there are many nuances to the law and some unsettled questions in these types of cases, it is especially important to get professional advice if the infringement allegations do not seem straightforward.


### A Counter Notice Is A Legal Statement

We require you to fill out all fields of a counter notice completely, because a counter notice is a legal statement — not just to us, but to the complaining party. As we mentioned above, if the complaining party wishes to keep the content disabled after receiving a counter notice, they will need to initiate a legal action seeking a court order to restrain you from engaging in infringing activity relating to the content on CodeLinaro. In other words, you might get sued (and you consent to that in the counter notice).


### Your Counter Notice Will Be Published

As noted in the [CodeLinaro DMCA Takedown Policy](dmca-takedown-policy.md), after redacting personal information, we [publish all complete and actionable counter notices](dmca-takedown-policy.md). Please also note that, although we will only publicly publish redacted notices, we may provide a complete unredacted copy of any notices we receive directly to any party whose rights would be affected by it. If you are concerned about your privacy, you may have a lawyer or other legal representative file the counter notice on your behalf.


### CodeLinaro Isn't The Judge

CodeLinaro exercises little discretion in this process other than determining whether the notices meet the minimum requirements of the DMCA. It is up to the parties (and their lawyers) to evaluate the merit of their claims, bearing in mind that notices must be made under penalty of perjury.


### Additional Resources

If you need additional help, there are many self-help resources online. Lumen has an informative set of guides on [copyright](https://www.lumendatabase.org/topics/5) and [DMCA safe harbor](https://www.lumendatabase.org/topics/14). If you are involved with an open-source project in need of legal advice, you can contact the [Software Freedom Law Center](https://www.softwarefreedom.org/about/contact/). And if you think you have a particularly challenging case, non-profit organizations such as the [Electronic Frontier Foundation](https://www.eff.org/pages/legal-assistance) may also be willing to help directly or refer you to a lawyer.


## Your Counter Notice Must...



1. **Include the following statement: "I have read and understand CodeLinaro's Guide to Filing a DMCA Counter Notice."**  We won't refuse to process an otherwise complete counter notice if you don't include this statement; however, we will know that you haven't read these guidelines and may ask you to go back and do so.
2. **Identify the content that was disabled and the location where it appeared.**  The disabled content should have been identified by URL in the takedown notice. You simply need to copy the URL(s) that you want to challenge.
3. **Provide your contact information.**  Include your email address, name, telephone number, and physical address.
4. **Include the following statement: "I swear, under penalty of perjury, that I have a good-faith belief that the material was removed or disabled as a result of a mistake or misidentification of the material to be removed or disabled."**  You may also choose to communicate the reasons why you believe there was a mistake or misidentification. If you think of your counter notice as a "note" to the complaining party, this is a chance to explain why they should not take the next step and file a lawsuit in response. This is yet another reason to work with a lawyer when submitting a counter notice.
5. **Include the following statement: "I consent to the jurisdiction of Federal District Court for the judicial district in which my address is located (if in the United States, otherwise the Northern District of California where CodeLinaro is located), and I will accept service of process from the person who provided the DMCA notification or an agent of such person."**
6. **Include your physical or electronic signature.**


## How to Submit Your Counter Notice

The fastest way to get a response is to enter your information and answer all the questions on our Copyright claims [counter form](/dmca/counternotice/create/).

You can also send an email notification to [copyright@codelinaro.org](mailto:copyright@codelinaro.org). You may include an attachment if you like, but please also include a plain-text version of your letter in the body of your message.

If you must send your notice by physical mail, you can do that too, but it will take substantially longer for us to receive and respond to it—and the 10-14 day waiting period starts from when we receive your counter notice. Notices we receive via plain-text email have a much faster turnaround than PDF attachments or physical mail. If you still wish to mail us your notice, our physical address is:


```
    Linaro, Limited
    Attn: CodeLinaro DMCA Agent
    Harston Mill , Royston Rd 
    Harston Cambridge 
    United Kingdom
    CB22 7GG
